services:
    d2_ewc_service_definition_manager:
        class:          D2\EWCBundle\DependencyInjection\Services\ServiceDefinitionManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_ewc_partner_file_manager:
        class:          D2\EWCBundle\DependencyInjection\Services\PartnerFileManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_ewc_waybill_manager:
        class:          D2\EWCBundle\DependencyInjection\Services\WaybillManager
        arguments:      [@service_container, @doctrine.orm.entity_manager, @d2_ewc_service_definition_manager, @d2_calc_manager]

    d2_ewc_bundle.twig.ewc_extension:
        class:          D2\EWCBundle\Twig\EWCTwigExtension
        arguments:      [@doctrine, @service_container, @d2_ewc_partner_file_manager, @d2_ewc_service_definition_manager]
        tags:
            - { name: twig.extension }

    # With Selected Extensions
    d2_ewc_bundle.waybill_with_selected.extension:
        class:          D2\EWCBundle\DependencyInjection\Services\WaybillsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: ewc_list }
            - { name: d2.with_selected, alias: ewc_waybill }
